Package org.apache.catalina.valves.rewrite

# Class Substitution.StaticElement

java.lang.Object
org.apache.catalina.valves.rewrite.Substitution.SubstitutionElement
org.apache.catalina.valves.rewrite.Substitution.StaticElement

Enclosing class:
  Substitution

public static class Substitution.StaticElement extends Substitution.SubstitutionElement

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`value`

## Constructor Summary

Constructors
Constructor
Description
`StaticElement()`

## Method Summary

Modifier and Type
Method
Description
`String`
`evaluate(Matcher rule, Matcher cond, Resolver resolver)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### value

public String value

## Constructor Details

### StaticElement

public StaticElement()

## Method Details

### evaluate

public String evaluate(Matcher rule, Matcher cond, Resolver resolver)

Specified by:
  `evaluate` in class `Substitution.SubstitutionElement`